org.eclipse.wst.jsdt.chromium.util

## Interface JavaScriptExpressionBuilder.ExpressionComponentFormatter

Enclosing class:
  JavaScriptExpressionBuilder

    public static interface JavaScriptExpressionBuilder.ExpressionComponentFormatter

Defines how the last component of qualified name should be built.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `formatRecursively(java.lang.StringBuilder output, JavaScriptExpressionBuilder.VariableAccess variable)` Builds the entire fully qualified name by recursively invoking building of all previous components and finally adds formatting for the this component.
`boolean` `needsParentheses()`

### Method Detail

#### formatRecursively

    void formatRecursively(java.lang.StringBuilder output,
                           JavaScriptExpressionBuilder.VariableAccess variable)

Builds the entire fully qualified name by recursively invoking building of all previous components and finally adds formatting for the this component.

Parameters:
  `variable` - reflects variable and provides access to all parent variables

#### needsParentheses

    boolean needsParentheses()